For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch invoices
      • POSTCreate
      • GETGet
      • POSTUpdate
      • DELDelete
      • GETEvents
        • GETGet Attachments
        • POSTUpload Attachment
        • DELDelete Attachment
        • GETGet Invoice PDF
        • GETGet Check PDF
        • GETGet Payment Confirmation PDF
        • GETGet Source Email
Logo
Sign inBook a demo
API ReferenceInvoiceDocument

Get Payment Confirmation PDF

GET
https://api.mercoa.com/invoice/:invoiceId/payment-confirmation/generate
GET
/invoice/:invoiceId/payment-confirmation/generate
$curl https://api.mercoa.com/invoice/in_26e7b5d3-a739-4b23-9ad9-6aaa085f47a9/payment-confirmation/generate \
> -H "Authorization: Bearer <token>"
1{
2 "mimeType": "application/pdf",
3 "type": "PAYMENT_CONFIRMATION",
4 "uri": "https://mercoa.com/pdf/not-real.pdf"
5}
Generate a PDF of the payment confirmation for the invoice. This PDF is generated from the data in the invoice, not from the uploaded documents.
Was this page helpful?
Previous

Get Source Email

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

invoiceIdstringRequired
Invoice ID or Invoice ForeignID

Response

Link to the PDF file. Will expire after 1 hour.
mimeTypestring
typeenum
uristring
idstring
ID of the document. If not provided, this is a dynamic document that is generated on the fly.

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented